# Realtime return request object

The Realtime Return Request represents a request to return funds from a previously completed Realtime transfer.

### Object Parameters

- `accepted_at` `date-time` — The timestamp at which the Return Request was accepted
- `id` `string` — The unique id of the Return Request object
- `is_incoming` `boolean` — Indicates whether the Return Request is incoming (`true`) or outgoing (`false`)
- `original_transfer_id` `string` — ID of the original Realtime transfer for which the return of funds is being requested
- `pending_at` `date-time` — The timestamp at which the Return Request was created and status was set to pending
- `reason_code` `string` — Code representing a reason for the Return Request. Reason code types include: `AC03`, `AM09`, `CUST`, `DUPL`, `FRAD`, `TECH`, and `UPAY`
- `reason_code_description` `string` — Description for the `reason_code`. Reason code descriptions include: AC03 - Account number is invalid or has been closed, AM09 - Amount is not the amount agreed or expected, CUST - Cancellation requested by the Debtor, DUPL - Payment is a duplicate of another payment, FRAD - Cancellation requested following a transaction that was originated fraudulently, TECH - Cancellation requested following technical problems resulting in an erroneous transaction, UPAY - Payment is not justified (missing critical information)
- `rejected_at` `date-time` — The timestamp at which the Return Request was rejected
- `return_transfer_id` `string` — ID of the Realtime transfer created when the Return Request is accepted, representing the return of funds
- `status` `string` — The current status of the Return Request. Possible statuses are `pending`, `accepted`, and `rejected`

**Response 200**

```json
{
  "accepted_at": "2024-01-15T09:30:00Z",
  "id": "rtrr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "is_incoming": false,
  "original_transfer_id": "wire_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "pending_at": "2024-01-15T09:30:00Z",
  "reason_code": null,
  "reason_code_description": null,
  "rejected_at": "2024-01-15T09:30:00Z",
  "return_transfer_id": "rttr_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "status": "pending"
}
```
